> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change password

> Change the password for the authenticated user.



## OpenAPI

````yaml /openapi.json post /api/svc/v1/users/change-password
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/users/change-password:
    post:
      tags:
        - Users
      summary: Change password
      description: Change the password for the authenticated user.
      operationId: User.changePassword
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangePasswordRequest'
      responses:
        '200':
          description: The password has been changed successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangePasswordResponse'
      security:
        - jwt: []
components:
  schemas:
    ChangePasswordRequest:
      type: object
      properties:
        loginId:
          type: string
          description: Email address of the user changing their password.
          example: user@example.com
        newPassword:
          type: string
          description: New password (minimum 8 characters).
        oldPassword:
          type: string
          description: Current password of the user for verification.
      required:
        - loginId
        - newPassword
        - oldPassword
      title: ChangePasswordRequest
      x-fern-type-name: ChangePasswordRequest
    ChangePasswordResponse:
      type: object
      properties: {}
      title: ChangePasswordResponse
      x-fern-type-name: ChangePasswordResponse
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````